<!-- 	Sised - Modulo Academico - Guardar Planilla Tipo3
		----------------------------------------------------------
		Recibe del formulario calificar-planilla-tipo1.php las variables: iddocente, bdie, periodo, planillaseleccionada

		Ultima Modificación: 06 de Mayo de 2012
		Por: Carlos Gerardo Galeano Flórez
-->

<?php
	$idgrado=$_GET['idgrado'];
	$bdie=$_GET['bdie'];
	$periodo=$_GET['periodo'];
	$idgrupo=$_GET['idgrupo'];
	$idasignatura=$_GET['idasignatura'];
	include("php/conexion-bdie.php"); 
?>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<link rel="stylesheet" href="css/estilos.css" type="text/css" />

<title>Sised .::. Sistema de Información para Instituciones Educativas</title>
<base target="principal">
</head>

<body>
<table class="mtbl">
	<tr>
    	<td class="leftcol">
			<div class="nav">
				<h2>Guardar Calificaciones</h2>
				<ul>
					<li><a target="contenido">Actualización de las Calificaciones de los Estudiantes</a></li>
					<li><a target="contenido">--------------------------------</a></li>
					<li><a target="contenido">Ayuda</a></li>
				</ul>
			</div>
		</td>
		<td class="rTd">
        <h4><b>Confirmación de Actualización de Calificaciones</b></h4>
        
        <div align="left">
			<table border="2" width="100%" bordercolorlight="#800000" bordercolordark="#800000" bgcolor="#FFFFCC" bordercolor="#000080">
				<tr>
					<td>&nbsp;
					<?php 
						$programa=$_POST['programa'];
						$errores=0;
						if ($programa=="1") {
	    					$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$idgrupo' and estado='1'",$db_basededatosie);
	    					while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
	    						$nuid=$FilaMatriculados["nuid"];
	            				$campofallas="F".$nuid;
	            				$campodefinitiva="D".$nuid;
	            				$fallas=str_replace(",", ".", $_POST[$campofallas]);
	            				$definitiva=str_replace(",", ".", $_POST[$campodefinitiva]);
	            				if ($definitiva!="") {
		            				if ($fallas<0 Or $fallas>99)
		            					$fallas="0";
		            				if ($definitiva<1 Or $definitiva>10){
		            					$definitiva="*";
		            					$errores=$errores+1;
		            				}
		    						$regnotas=mysql_query("Select * From datos_notastipo3 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
		                			if (mysql_num_rows($regnotas)>0){
		                				$FilaNotaEstudiante=mysql_fetch_array($regnotas);
		                				$actualiza= mysql_query("Update datos_notastipo3 Set fallas='$fallas',nota1='$definitiva',nota2='$definitiva',nota3='$definitiva' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
		                				
		                			}
		                			else {
		                				if ($definitiva)
		                					$guard= mysql_query("Insert Into datos_notastipo3 (nuid,idasignatura,fallas,nota1,nota2,nota3,periodo) Values ('$nuid','$idasignatura','$fallas','$definitiva','$definitiva','$definitiva','$periodo')",$db_basededatosie);
		                			}
		                		}
	                		}                        
							echo "MENSAJE: La Actualización de los Calificaciones se realizó con éxito. Se encontraron ".$errores." Errores marcados con el simbolo *";
						}
						else{
	    					$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrado='$idgrado' And idespecialidad='$programa' and estado='1'",$db_basededatosie);
	    					while ($FilaMatriculados=mysql_fetch_array($regmatriculados)){
	    						$nuid=$FilaMatriculados["nuid"];
	            				$campofallas="F".$nuid;
	            				$campodefinitiva="D".$nuid;
	            				$fallas=str_replace(",", ".", $_POST[$campofallas]);
	            				$definitiva=str_replace(",", ".", $_POST[$campodefinitiva]);
	            				if ($definitiva!="") {
		            				if ($fallas<0 Or $fallas>99)
		            					$fallas="0";
		            				if ($definitiva<1 Or $definitiva>10){
		            					$definitiva="*";
		            					$errores=$errores+1;
		            				}
		    						$regnotas=mysql_query("Select * From datos_notastipo3 Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
		                			if (mysql_num_rows($regnotas)>0){
		                				$FilaNotaEstudiante=mysql_fetch_array($regnotas);
		                				$actualiza= mysql_query("Update datos_notastipo3 Set fallas='$fallas',nota1='$definitiva',nota2='$definitiva',nota3='$definitiva' Where nuid='$nuid' And idasignatura='$idasignatura' And periodo='$periodo'",$db_basededatosie);
		                				
		                			}
		                			else {
		                				if ($definitiva)
		                					$guard= mysql_query("Insert Into datos_notastipo3 (nuid,idasignatura,fallas,nota1,nota2,nota3,periodo) Values ('$nuid','$idasignatura','$fallas','$definitiva','$definitiva','$definitiva','$periodo')",$db_basededatosie);
		                			}
		                		}
	                		}                        
							echo "MENSAJE: La Actualización de los Calificaciones se realizó con éxito. Se encontraron ".$errores." Errores marcados con el simbolo *";						
						}
					?>
					</td>
				</tr>
			</table>
		</div>
        
        <br/>
		<p><input type="button" value="Regresar" name="volver" onclick="history.go(-2)" /></p>        
		<p align=right><font size="1">Versión Beta - <?php echo $iddocente;?></font></p>	
	</tr>
</table>
</body>

</html>
<?php
	mysql_close($db_basededatosie);
?>